Fortinet black logo

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:

Version:


Table of Contents

Upgrading unsupported ADOMs

FortiManager 7.2.1 supports ADOM versions 6.4, 7.0, and 7.2.

Before upgrading FortiManager to 7.2.1, review what ADOM versions you are using, and compare them to the ADOM versions in following table. The following table identifies whether you must upgrade ADOM versions in FortiManager before upgrading FortiManager to 7.2.1

ADOM version before upgrade

ADOM version supported in FortiManager 7.2

Action required before upgrading FortiManager

6.2

Not supported by FortiManager 7.2.

Before upgrading FortiManager to 7.2.1, upgrade ADOMs from 6.2 to 6.4.

You cannot upgrade unsupported ADOMs, such as 6.2, after upgrading FortiManager to 7.2.1.

6.4

Supported. ADOM can contain FortiGates running FortiOS 6.2, 6.4, and 7.0.

No action required before upgrading FortiManager to 7.2.1.

 

7.0

Supported. ADOM can contain FortiGates running FortiOS 6.4, 7.0, and 7.2.

Note

The global database ADOM supports its own version plus one version. For example, if the global database ADOM version is 7.0, the global database ADOM can manage version 7.0 and 7.2, but not 6.4.

If necessary, you should upgrade the global database ADOM after all the ADOMs that are using a global policy package have been upgraded.

See also FortiManager Administration Guide > Global database version.

Although each ADOM version supports FortiGates running multiple versions of FortiOS, it is recommended to use the same ADOM and FortiOS versions for optimal syntax support. For example, it is recommended to use ADOM version 6.4 for FortiGates running FortiOS 6.4.

The following procedure describes how to upgrade ADOM 6.2 to 6.4 by first upgrading all FortiGates to FortiOS 6.4 or later. Although this procedure is recommended, it is not required. You can upgrade ADOM 6.2 to 6.4 without first upgrading the FortiGates.

See also FortiManager Administration Guide > Using mixed versions in ADOMs.

To upgrade ADOM version:
  1. In the older version ADOM, upgrade one of the FortiGate units to FortiOS 6.4 or later, and then resynchronize the device.

    All the ADOM objects, including Policy Packages, remain as objects for the earlier version.

  2. Upgrade the rest of the FortiGate units in the older version ADOMs to FortiOS 6.4 or later.
  3. Upgrade the ADOM to version 6.4 or later.
    1. Ensure that you are logged into FortiManager as a super user administrator.
    2. Go to System Settings > All ADOMs.
    3. Select an ADOM, and then select More > Upgrade from the toolbar.
    4. Click OK in the confirmation dialog box to upgrade the ADOM.

      If all the devices in the ADOM are not already upgraded, the upgrade is aborted and an error message is displayed. Upgrade the remaining devices in the ADOM and then upgrade the ADOM again.

    All the database objects are converted to the new version’s format and the GUI content for the ADOM changes to reflect the new version’s features and behavior.

  4. If necessary, upgrade the Global database ADOM.

Upgrading unsupported ADOMs

FortiManager 7.2.1 supports ADOM versions 6.4, 7.0, and 7.2.

Before upgrading FortiManager to 7.2.1, review what ADOM versions you are using, and compare them to the ADOM versions in following table. The following table identifies whether you must upgrade ADOM versions in FortiManager before upgrading FortiManager to 7.2.1

ADOM version before upgrade

ADOM version supported in FortiManager 7.2

Action required before upgrading FortiManager

6.2

Not supported by FortiManager 7.2.

Before upgrading FortiManager to 7.2.1, upgrade ADOMs from 6.2 to 6.4.

You cannot upgrade unsupported ADOMs, such as 6.2, after upgrading FortiManager to 7.2.1.

6.4

Supported. ADOM can contain FortiGates running FortiOS 6.2, 6.4, and 7.0.

No action required before upgrading FortiManager to 7.2.1.

 

7.0

Supported. ADOM can contain FortiGates running FortiOS 6.4, 7.0, and 7.2.

Note

The global database ADOM supports its own version plus one version. For example, if the global database ADOM version is 7.0, the global database ADOM can manage version 7.0 and 7.2, but not 6.4.

If necessary, you should upgrade the global database ADOM after all the ADOMs that are using a global policy package have been upgraded.

See also FortiManager Administration Guide > Global database version.

Although each ADOM version supports FortiGates running multiple versions of FortiOS, it is recommended to use the same ADOM and FortiOS versions for optimal syntax support. For example, it is recommended to use ADOM version 6.4 for FortiGates running FortiOS 6.4.

The following procedure describes how to upgrade ADOM 6.2 to 6.4 by first upgrading all FortiGates to FortiOS 6.4 or later. Although this procedure is recommended, it is not required. You can upgrade ADOM 6.2 to 6.4 without first upgrading the FortiGates.

See also FortiManager Administration Guide > Using mixed versions in ADOMs.

To upgrade ADOM version:
  1. In the older version ADOM, upgrade one of the FortiGate units to FortiOS 6.4 or later, and then resynchronize the device.

    All the ADOM objects, including Policy Packages, remain as objects for the earlier version.

  2. Upgrade the rest of the FortiGate units in the older version ADOMs to FortiOS 6.4 or later.
  3. Upgrade the ADOM to version 6.4 or later.
    1. Ensure that you are logged into FortiManager as a super user administrator.
    2. Go to System Settings > All ADOMs.
    3. Select an ADOM, and then select More > Upgrade from the toolbar.
    4. Click OK in the confirmation dialog box to upgrade the ADOM.

      If all the devices in the ADOM are not already upgraded, the upgrade is aborted and an error message is displayed. Upgrade the remaining devices in the ADOM and then upgrade the ADOM again.

    All the database objects are converted to the new version’s format and the GUI content for the ADOM changes to reflect the new version’s features and behavior.

  4. If necessary, upgrade the Global database ADOM.